cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration

## Class ADT_A04

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration.ADT_A01_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration.ADT_A04

-     public final class ADT_A04
      extends ADT_A01_Common

  ADT_A04 - Register a Patient (Event A04). This event signals that the patient has arrived or checked in as a one-time, or recurring outpatient to which bed is not assigned.

  Represents a ADT_A01 message structure (see chapter 3.2.4). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: EVN (Event Type Segment) SINGLE_COMPULSARY
  4: PID (Patient Identification Segment) SINGLE_COMPULSARY
  5: PD1 (Patient Additional Demographic Segment) SINGLE_OPTIONAL
  6. ARV (Access Restrictions) MULTIPLE_OPTIONAL
  7: ROL (Role Segment) MULTIPLE_OPTIONAL
  8: NK1 (Next of Kin / Associated Parties Segment) MULTIPLE_OPTIONAL
  9: PV1 (Patient Visit Segment) SINGLE_COMPULSARY
  10: PV2 (Patient Visit - Additional Information Segment) SINGLE_OPTIONAL
  11: ARV (Access Restrictions) MULTIPLE_OPTIONAL
  12: ROL (Role Segment) MULTIPLE_OPTIONAL
  13: DB1 (Disability Segment) MULTIPLE_OPTIONAL
  14: OBX (Observation/Result Segment) MULTIPLE_OPTIONAL
  15: AL1 (Patient Allergy Information Segment) MULTIPLE_OPTIONAL
  16: DG1 (Diagnosis Segment) MULTIPLE_OPTIONAL
  17: DRG (Diagnosis Related Group) SINGLE_OPTIONAL
  18: PROCEDURE (a Group of segments in ADT_A01 message) MULTIPLE_OPTIONAL
  19: GT1 (Guarantor Segment) MULTIPLE_OPTIONAL
  20: INSURANCE (a Group of segment in ADT_A01 message) MULTIPLE_OPTIONAL
  21: ACC (Accident Segment) SINGLE_OPTIONAL
  22: UB1 (UB82 Segment) SINGLE_OPTIONAL
  23: UB2 (UB92 Data Segment) SINGLE_OPTIONAL
  24: PDA (Patient Death and Autopsy Segment) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  ADT_A04 objA04 = (ADT_A04)MessageFactory.createInstance().createSendSupportedMessage("ADT", "A04");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration.ADT_A01_Common

      `addAllergyInformationSegment, addAllergyInformationSegment, addDiagnosisInformationSegment, addDiagnosisInformationSegment, addDisabilityInformationSegment, addDisabilityInformationSegment, addGuarantorSegment, addGuarantorSegment, addInsuranceGroup, addInsuranceGroups, addNextOfKinOrAssociatedPartiesSegment, addNextOfKinOrAssociatedPartiesSegment, addObservationOrResultSegment, addObservationOrResultSegment, addPatientIdentificationAccessRestrictionsSegment, addPatientIdentificationAccessRestrictionsSegment, addPatientIdentificationAccessVisitSegment, addPatientIdentificationRoleSegment, addPatientIdentificationRoleSegment, addPatientVisitAccessRestrictionsSegment, addPatientVisitRoleSegment, addPatientVisitRoleSegment, addProcedureGroup, addProcedureGroups, addSoftwareSegment, addSoftwareSegment, getAccidentInformationSegment, getAdditinalDemographicsSegment, getAllergyInformationSegments, getDiagnosisInformationSegments, getDiagnosisRelatedGroupSegment, getDisabilityInformationSegments, getEventTypeSegment, getGuarantorSegments, getInsuranceGroups, getNextOfKinOrAssociatedPartiesSegments, getObservationOrResultSegments, getPatientDeathandAutopsySegment, getPatientIdentificationAccessRestrictionsSegments, getPatientIdentificationRoleSegments, getPatientIdentificationSegment, getPatientVisitAccessRestrictionsSegments, getPatientVisitAdditionalInfoSegment, getPatientVisitRoleSegments, getPatientVisitSegment, getProcedureGroups, getSoftwareSegments, getUniversalBill92InformationSegment, getUserAuthenticationCredentialSegment, setAccidentInformationSegment, setAdditinalDemographicsSegment, setDiagnosisRelatedGroupSegment, setEventTypeSegment, setPatientDeathandAutopsySegment, setPatientIdentificationSegment, setPatientVisitAdditionalInfoSegment, setPatientVisitSegment, setUniversalBill92InformationSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`